# DataExchange
TKSTEP209
RWStepFEA

# RWStepFEA_RWCurveElementEndOffset Class Reference

Read & Write tool for CurveElementEndOffset
.

`#include <RWStepFEA_RWCurveElementEndOffset.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepFEA_RWCurveElementEndOffset ()
| Empty constructor .
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepFEA_CurveElementEndOffset)&ent) const
| Reads CurveElementEndOffset .
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepFEA_CurveElementEndOffset)&ent) const
| Writes CurveElementEndOffset .
Standard_EXPORT void | Share (const Handle(StepFEA_CurveElementEndOffset)&ent, Interface_EntityIterator &iter) const
| Fills data for graph (shared items) .

## Constructor & Destructor Documentation

Standard_EXPORT RWStepFEA_RWCurveElementEndOffset::RWStepFEA_RWCurveElementEndOffset | ( |  | ) |

## Member Function Documentation

void RWStepFEA_RWCurveElementEndOffset::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepFEA_RWCurveElementEndOffset::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepFEA_RWCurveElementEndOffset::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepFEA_RWCurveElementEndOffset::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepFEA_CurveElementEndOffset)& | ent
| ) | const

Standard_EXPORT void RWStepFEA_RWCurveElementEndOffset::Share | ( | const Handle(StepFEA_CurveElementEndOffset)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepFEA_RWCurveElementEndOffset::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepFEA_CurveElementEndOffset)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepFEA_RWCurveElementEndOffset.hxx